{% extends "base.html" %}

{% load static %}

{% block title %}
{{ recipe.title }}
{% endblock title %}

{% block content %}
<header>
    <nav>
        <a href="{% url 'list_recipes'%}">Main page</a>
    </nav>
  </header>
    <main>
        <h1>{{ recipe_object.title }}</h1>
        <div>
            <img src="{{ recipe.picture }}"
            alt="Plate of vegetarian tacos with small bowls and slices of lime nearby">
        </div>
        <div>4.3 stars</div>
        <p>{{ recipe.description }}
        <p>{{ recipe.created_on | date:"j F Y" }}
        <h2>Ingredients</h2>
        <table>
            <thead>
                <tr>
                    <th>Amount</th>
                    <th>Food Item</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>1 cup</td>
                    <td>Green Beans</td>
                </tr>
                <tr>
                    <td>3 ears</td>
                    <td>Fresh corn</td>
                </tr>
                <tr>
                    <td>2 cups</td>
                    <td>Tomatillo salsa</td>
                </tr>
                <tr>
                    <td>8</td>
                    <td>Corn tortillas</td>
                </tr>
                <tr>
                    <td>0.5 cups</td>
                    <td>Cotija cheese</td>
                </tr>
            </tbody>
        </table>
        <h2>Steps</h2>
            <ol>
                <li>Blanch the green beans</li>
                <li>Grill the green beans and the ears of corn</li>
                <li>Chop the green beans</li>
                <li>Slice the corn off the cob</li>
                <li>Grill the tortillas</li>
                <li>Assemble the tacos with veggies, salsa, and cheese</li>
            </ol>
    </main>
</body>
</html>
{% endblock content %}
